<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WindTurbineInfoDayMapper">
<!--  <cache type="org.mybatis.caches.ehcache.EhcacheCache">-->
  <!--    <property name="timeToIdleSeconds" value="60"></property>&lt;!&ndash;&lt;!&ndash;当缓存闲置60秒后销毁&ndash;&gt;&ndash;&gt;-->
  <!--    <property name="timeToLiveSeconds" value="160"></property>&lt;!&ndash;&lt;!&ndash;缓存存在160秒后销毁&ndash;&gt;&ndash;&gt;-->
  <!--    <property name="maxEntriesLocalHeap" value="1000"></property>-->
  <!--    <property name="maxEntriesLocalDisk" value="10000000"></property>-->
  <!--    <property name="memoryStoreEvictionPolicy" value="LRU"></property>-->
  <!--  </cache>-->
   <!--<cache type="com.gyee.frame.common.cache.MybatisRedisCache"/>-->
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.WindTurbineInfoDay">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="windTurbineId" jdbcType="VARCHAR" property="windturbineid" />
    <result column="runHours" jdbcType="DECIMAL" property="runhours" />
    <result column="stopHours" jdbcType="DECIMAL" property="stophours" />
    <result column="faultHours" jdbcType="DECIMAL" property="faulthours" />
    <result column="maintainHours" jdbcType="DECIMAL" property="maintainhours" />
    <result column="interruptHours" jdbcType="DECIMAL" property="interrupthours" />
    <result column="generatingCapacity" jdbcType="DECIMAL" property="generatingcapacity" />
    <result column="speed" jdbcType="DECIMAL" property="speed" />
    <result column="power" jdbcType="DECIMAL" property="power" />
    <result column="recordDate" jdbcType="TIMESTAMP" property="recorddate" />
    <result column="gridElectricity" jdbcType="DECIMAL" property="gridelectricity" />
    <result column="buyElectricity" jdbcType="DECIMAL" property="buyelectricity" />
    <result column="inStop" jdbcType="DECIMAL" property="instop" />
    <result column="outStop" jdbcType="DECIMAL" property="outstop" />
    <result column="runTime" jdbcType="DECIMAL" property="runtime" />
    <result column="stopTime" jdbcType="DECIMAL" property="stoptime" />
    <result column="faultTime" jdbcType="DECIMAL" property="faulttime" />
    <result column="maintainTime" jdbcType="DECIMAL" property="maintaintime" />
    <result column="interruptTime" jdbcType="DECIMAL" property="interrupttime" />
    <result column="monthGC" jdbcType="DECIMAL" property="monthgc" />
    <result column="yearGC" jdbcType="DECIMAL" property="yeargc" />
    <result column="theoryGeneration" jdbcType="DECIMAL" property="theorygeneration" />
    <result column="lossOfPower" jdbcType="DECIMAL" property="lossofpower" />
    <result column="fieldElectricity" jdbcType="DECIMAL" property="fieldelectricity" />
    <result column="generatingCapacity2" jdbcType="DECIMAL" property="generatingcapacity2" />
    <result column="windPowerStationId" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="projectId" jdbcType="VARCHAR" property="projectid" />
    <result column="lineId" jdbcType="VARCHAR" property="lineid" />
    <result column="maxSpeed" jdbcType="DECIMAL" property="maxspeed" />
    <result column="minSpeed" jdbcType="DECIMAL" property="minspeed" />
    <result column="lossOfPower1" jdbcType="DECIMAL" property="lossofpower1" />
    <result column="lossOfPower2" jdbcType="DECIMAL" property="lossofpower2" />
    <result column="lossOfPower3" jdbcType="DECIMAL" property="lossofpower3" />
    <result column="theoryGenerationZS" jdbcType="DECIMAL" property="theorygenerationzs" />
    <result column="windHours" jdbcType="DECIMAL" property="windhours" />
    <result column="maxPower" jdbcType="DECIMAL" property="maxpower" />
    <result column="minPower" jdbcType="DECIMAL" property="minpower" />
    <result column="monthRunTime" jdbcType="DECIMAL" property="monthruntime" />
    <result column="monhtStopTime" jdbcType="DECIMAL" property="monhtstoptime" />
    <result column="monthFaultTime" jdbcType="DECIMAL" property="monthfaulttime" />
    <result column="monthMaintainTime" jdbcType="DECIMAL" property="monthmaintaintime" />
    <result column="monthInterruptTime" jdbcType="DECIMAL" property="monthinterrupttime" />
    <result column="yearRunTime" jdbcType="DECIMAL" property="yearruntime" />
    <result column="yearStopTime" jdbcType="DECIMAL" property="yearstoptime" />
    <result column="yearFaultTime" jdbcType="DECIMAL" property="yearfaulttime" />
    <result column="yearMaintainTime" jdbcType="DECIMAL" property="yearmaintaintime" />
    <result column="yearInterruptTime" jdbcType="DECIMAL" property="yearinterrupttime" />
    <result column="monthspeed" jdbcType="DECIMAL" property="monthspeed" />
    <result column="yearspeed" jdbcType="DECIMAL" property="yearspeed" />
    <result column="lossOfPower4" jdbcType="DECIMAL" property="lossofpower4" />
    <result column="dayLYXS" jdbcType="DECIMAL" property="daylyxs" />
    <result column="monthLYXS" jdbcType="DECIMAL" property="monthlyxs" />
    <result column="yearLYXS" jdbcType="DECIMAL" property="yearlyxs" />
    <result column="dayZHCYDL" jdbcType="DECIMAL" property="dayzhcydl" />
    <result column="monthZHCYDL" jdbcType="DECIMAL" property="monthzhcydl" />
    <result column="yearZHCYDL" jdbcType="DECIMAL" property="yearzhcydl" />
    <result column="daySBKLYL" jdbcType="DECIMAL" property="daysbklyl" />
    <result column="monthSBKLYL" jdbcType="DECIMAL" property="monthsbklyl" />
    <result column="yearSBKLYL" jdbcType="DECIMAL" property="yearsbklyl" />
    <result column="dayDXKYXS" jdbcType="DECIMAL" property="daydxkyxs" />
    <result column="monthDXKYXS" jdbcType="DECIMAL" property="monthdxkyxs" />
    <result column="yearDXKYXS" jdbcType="DECIMAL" property="yeardxkyxs" />
    <result column="monthWindHours" jdbcType="DECIMAL" property="monthwindhours" />
    <result column="yearWindHours" jdbcType="DECIMAL" property="yearwindhours" />
    <result column="daycalendarhours" jdbcType="DECIMAL" property="daycalendarhours" />
    <result column="monthcalendarhours" jdbcType="DECIMAL" property="monthcalendarhours" />
    <result column="yearcalendarhours" jdbcType="DECIMAL" property="yearcalendarhours" />
    <result column="brownoutsTime" jdbcType="DECIMAL" property="brownoutstime" />
    <result column="monthBrownoutsTime" jdbcType="DECIMAL" property="monthbrownoutstime" />
    <result column="yearBrownoutsTime" jdbcType="DECIMAL" property="yearbrownoutstime" />
    <result column="mainlossin" jdbcType="DECIMAL" property="mainlossin" />
    <result column="faultlossin" jdbcType="DECIMAL" property="faultlossin" />
    <result column="electriclossout" jdbcType="DECIMAL" property="electriclossout" />
    <result column="weatherlossout" jdbcType="DECIMAL" property="weatherlossout" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, windTurbineId, runHours, stopHours, faultHours, maintainHours, interruptHours, 
    generatingCapacity, speed, power, recordDate, gridElectricity, buyElectricity, inStop, 
    outStop, runTime, stopTime, faultTime, maintainTime, interruptTime, monthGC, yearGC, 
    theoryGeneration, lossOfPower, fieldElectricity, generatingCapacity2, windPowerStationId, 
    projectId, lineId, maxSpeed, minSpeed, lossOfPower1, lossOfPower2, lossOfPower3, 
    theoryGenerationZS, windHours, maxPower, minPower, monthRunTime, monhtStopTime, monthFaultTime, 
    monthMaintainTime, monthInterruptTime, yearRunTime, yearStopTime, yearFaultTime, 
    yearMaintainTime, yearInterruptTime, monthspeed, yearspeed, lossOfPower4, dayLYXS, 
    monthLYXS, yearLYXS, dayZHCYDL, monthZHCYDL, yearZHCYDL, daySBKLYL, monthSBKLYL, 
    yearSBKLYL, dayDXKYXS, monthDXKYXS, yearDXKYXS, monthWindHours, yearWindHours, daycalendarhours, 
    monthcalendarhours, yearcalendarhours, brownoutsTime, monthBrownoutsTime, yearBrownoutsTime, 
    mainlossin, faultlossin, electriclossout, weatherlossout
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDayExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windturbineinfoday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windturbineinfoday
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineinfoday
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDayExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineinfoday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDay">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineinfoday (id, windTurbineId, runHours, 
      stopHours, faultHours, maintainHours, 
      interruptHours, generatingCapacity, speed, 
      power, recordDate, gridElectricity, 
      buyElectricity, inStop, outStop, 
      runTime, stopTime, faultTime, 
      maintainTime, interruptTime, monthGC, 
      yearGC, theoryGeneration, lossOfPower, 
      fieldElectricity, generatingCapacity2, 
      windPowerStationId, projectId, lineId, 
      maxSpeed, minSpeed, lossOfPower1, 
      lossOfPower2, lossOfPower3, theoryGenerationZS, 
      windHours, maxPower, minPower, 
      monthRunTime, monhtStopTime, monthFaultTime, 
      monthMaintainTime, monthInterruptTime, 
      yearRunTime, yearStopTime, yearFaultTime, 
      yearMaintainTime, yearInterruptTime, monthspeed, 
      yearspeed, lossOfPower4, dayLYXS, 
      monthLYXS, yearLYXS, dayZHCYDL, 
      monthZHCYDL, yearZHCYDL, daySBKLYL, 
      monthSBKLYL, yearSBKLYL, dayDXKYXS, 
      monthDXKYXS, yearDXKYXS, monthWindHours, 
      yearWindHours, daycalendarhours, monthcalendarhours, 
      yearcalendarhours, brownoutsTime, monthBrownoutsTime, 
      yearBrownoutsTime, mainlossin, faultlossin, 
      electriclossout, weatherlossout)
    values (#{id,jdbcType=INTEGER}, #{windturbineid,jdbcType=VARCHAR}, #{runhours,jdbcType=DECIMAL}, 
      #{stophours,jdbcType=DECIMAL}, #{faulthours,jdbcType=DECIMAL}, #{maintainhours,jdbcType=DECIMAL}, 
      #{interrupthours,jdbcType=DECIMAL}, #{generatingcapacity,jdbcType=DECIMAL}, #{speed,jdbcType=DECIMAL}, 
      #{power,jdbcType=DECIMAL}, #{recorddate,jdbcType=TIMESTAMP}, #{gridelectricity,jdbcType=DECIMAL}, 
      #{buyelectricity,jdbcType=DECIMAL}, #{instop,jdbcType=DECIMAL}, #{outstop,jdbcType=DECIMAL}, 
      #{runtime,jdbcType=DECIMAL}, #{stoptime,jdbcType=DECIMAL}, #{faulttime,jdbcType=DECIMAL}, 
      #{maintaintime,jdbcType=DECIMAL}, #{interrupttime,jdbcType=DECIMAL}, #{monthgc,jdbcType=DECIMAL}, 
      #{yeargc,jdbcType=DECIMAL}, #{theorygeneration,jdbcType=DECIMAL}, #{lossofpower,jdbcType=DECIMAL}, 
      #{fieldelectricity,jdbcType=DECIMAL}, #{generatingcapacity2,jdbcType=DECIMAL}, 
      #{windpowerstationid,jdbcType=VARCHAR}, #{projectid,jdbcType=VARCHAR}, #{lineid,jdbcType=VARCHAR}, 
      #{maxspeed,jdbcType=DECIMAL}, #{minspeed,jdbcType=DECIMAL}, #{lossofpower1,jdbcType=DECIMAL}, 
      #{lossofpower2,jdbcType=DECIMAL}, #{lossofpower3,jdbcType=DECIMAL}, #{theorygenerationzs,jdbcType=DECIMAL}, 
      #{windhours,jdbcType=DECIMAL}, #{maxpower,jdbcType=DECIMAL}, #{minpower,jdbcType=DECIMAL}, 
      #{monthruntime,jdbcType=DECIMAL}, #{monhtstoptime,jdbcType=DECIMAL}, #{monthfaulttime,jdbcType=DECIMAL}, 
      #{monthmaintaintime,jdbcType=DECIMAL}, #{monthinterrupttime,jdbcType=DECIMAL}, 
      #{yearruntime,jdbcType=DECIMAL}, #{yearstoptime,jdbcType=DECIMAL}, #{yearfaulttime,jdbcType=DECIMAL}, 
      #{yearmaintaintime,jdbcType=DECIMAL}, #{yearinterrupttime,jdbcType=DECIMAL}, #{monthspeed,jdbcType=DECIMAL}, 
      #{yearspeed,jdbcType=DECIMAL}, #{lossofpower4,jdbcType=DECIMAL}, #{daylyxs,jdbcType=DECIMAL}, 
      #{monthlyxs,jdbcType=DECIMAL}, #{yearlyxs,jdbcType=DECIMAL}, #{dayzhcydl,jdbcType=DECIMAL}, 
      #{monthzhcydl,jdbcType=DECIMAL}, #{yearzhcydl,jdbcType=DECIMAL}, #{daysbklyl,jdbcType=DECIMAL}, 
      #{monthsbklyl,jdbcType=DECIMAL}, #{yearsbklyl,jdbcType=DECIMAL}, #{daydxkyxs,jdbcType=DECIMAL}, 
      #{monthdxkyxs,jdbcType=DECIMAL}, #{yeardxkyxs,jdbcType=DECIMAL}, #{monthwindhours,jdbcType=DECIMAL}, 
      #{yearwindhours,jdbcType=DECIMAL}, #{daycalendarhours,jdbcType=DECIMAL}, #{monthcalendarhours,jdbcType=DECIMAL}, 
      #{yearcalendarhours,jdbcType=DECIMAL}, #{brownoutstime,jdbcType=DECIMAL}, #{monthbrownoutstime,jdbcType=DECIMAL}, 
      #{yearbrownoutstime,jdbcType=DECIMAL}, #{mainlossin,jdbcType=DECIMAL}, #{faultlossin,jdbcType=DECIMAL}, 
      #{electriclossout,jdbcType=DECIMAL}, #{weatherlossout,jdbcType=DECIMAL})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDay">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineinfoday
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="windturbineid != null">
        windTurbineId,
      </if>
      <if test="runhours != null">
        runHours,
      </if>
      <if test="stophours != null">
        stopHours,
      </if>
      <if test="faulthours != null">
        faultHours,
      </if>
      <if test="maintainhours != null">
        maintainHours,
      </if>
      <if test="interrupthours != null">
        interruptHours,
      </if>
      <if test="generatingcapacity != null">
        generatingCapacity,
      </if>
      <if test="speed != null">
        speed,
      </if>
      <if test="power != null">
        power,
      </if>
      <if test="recorddate != null">
        recordDate,
      </if>
      <if test="gridelectricity != null">
        gridElectricity,
      </if>
      <if test="buyelectricity != null">
        buyElectricity,
      </if>
      <if test="instop != null">
        inStop,
      </if>
      <if test="outstop != null">
        outStop,
      </if>
      <if test="runtime != null">
        runTime,
      </if>
      <if test="stoptime != null">
        stopTime,
      </if>
      <if test="faulttime != null">
        faultTime,
      </if>
      <if test="maintaintime != null">
        maintainTime,
      </if>
      <if test="interrupttime != null">
        interruptTime,
      </if>
      <if test="monthgc != null">
        monthGC,
      </if>
      <if test="yeargc != null">
        yearGC,
      </if>
      <if test="theorygeneration != null">
        theoryGeneration,
      </if>
      <if test="lossofpower != null">
        lossOfPower,
      </if>
      <if test="fieldelectricity != null">
        fieldElectricity,
      </if>
      <if test="generatingcapacity2 != null">
        generatingCapacity2,
      </if>
      <if test="windpowerstationid != null">
        windPowerStationId,
      </if>
      <if test="projectid != null">
        projectId,
      </if>
      <if test="lineid != null">
        lineId,
      </if>
      <if test="maxspeed != null">
        maxSpeed,
      </if>
      <if test="minspeed != null">
        minSpeed,
      </if>
      <if test="lossofpower1 != null">
        lossOfPower1,
      </if>
      <if test="lossofpower2 != null">
        lossOfPower2,
      </if>
      <if test="lossofpower3 != null">
        lossOfPower3,
      </if>
      <if test="theorygenerationzs != null">
        theoryGenerationZS,
      </if>
      <if test="windhours != null">
        windHours,
      </if>
      <if test="maxpower != null">
        maxPower,
      </if>
      <if test="minpower != null">
        minPower,
      </if>
      <if test="monthruntime != null">
        monthRunTime,
      </if>
      <if test="monhtstoptime != null">
        monhtStopTime,
      </if>
      <if test="monthfaulttime != null">
        monthFaultTime,
      </if>
      <if test="monthmaintaintime != null">
        monthMaintainTime,
      </if>
      <if test="monthinterrupttime != null">
        monthInterruptTime,
      </if>
      <if test="yearruntime != null">
        yearRunTime,
      </if>
      <if test="yearstoptime != null">
        yearStopTime,
      </if>
      <if test="yearfaulttime != null">
        yearFaultTime,
      </if>
      <if test="yearmaintaintime != null">
        yearMaintainTime,
      </if>
      <if test="yearinterrupttime != null">
        yearInterruptTime,
      </if>
      <if test="monthspeed != null">
        monthspeed,
      </if>
      <if test="yearspeed != null">
        yearspeed,
      </if>
      <if test="lossofpower4 != null">
        lossOfPower4,
      </if>
      <if test="daylyxs != null">
        dayLYXS,
      </if>
      <if test="monthlyxs != null">
        monthLYXS,
      </if>
      <if test="yearlyxs != null">
        yearLYXS,
      </if>
      <if test="dayzhcydl != null">
        dayZHCYDL,
      </if>
      <if test="monthzhcydl != null">
        monthZHCYDL,
      </if>
      <if test="yearzhcydl != null">
        yearZHCYDL,
      </if>
      <if test="daysbklyl != null">
        daySBKLYL,
      </if>
      <if test="monthsbklyl != null">
        monthSBKLYL,
      </if>
      <if test="yearsbklyl != null">
        yearSBKLYL,
      </if>
      <if test="daydxkyxs != null">
        dayDXKYXS,
      </if>
      <if test="monthdxkyxs != null">
        monthDXKYXS,
      </if>
      <if test="yeardxkyxs != null">
        yearDXKYXS,
      </if>
      <if test="monthwindhours != null">
        monthWindHours,
      </if>
      <if test="yearwindhours != null">
        yearWindHours,
      </if>
      <if test="daycalendarhours != null">
        daycalendarhours,
      </if>
      <if test="monthcalendarhours != null">
        monthcalendarhours,
      </if>
      <if test="yearcalendarhours != null">
        yearcalendarhours,
      </if>
      <if test="brownoutstime != null">
        brownoutsTime,
      </if>
      <if test="monthbrownoutstime != null">
        monthBrownoutsTime,
      </if>
      <if test="yearbrownoutstime != null">
        yearBrownoutsTime,
      </if>
      <if test="mainlossin != null">
        mainlossin,
      </if>
      <if test="faultlossin != null">
        faultlossin,
      </if>
      <if test="electriclossout != null">
        electriclossout,
      </if>
      <if test="weatherlossout != null">
        weatherlossout,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="runhours != null">
        #{runhours,jdbcType=DECIMAL},
      </if>
      <if test="stophours != null">
        #{stophours,jdbcType=DECIMAL},
      </if>
      <if test="faulthours != null">
        #{faulthours,jdbcType=DECIMAL},
      </if>
      <if test="maintainhours != null">
        #{maintainhours,jdbcType=DECIMAL},
      </if>
      <if test="interrupthours != null">
        #{interrupthours,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity != null">
        #{generatingcapacity,jdbcType=DECIMAL},
      </if>
      <if test="speed != null">
        #{speed,jdbcType=DECIMAL},
      </if>
      <if test="power != null">
        #{power,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="gridelectricity != null">
        #{gridelectricity,jdbcType=DECIMAL},
      </if>
      <if test="buyelectricity != null">
        #{buyelectricity,jdbcType=DECIMAL},
      </if>
      <if test="instop != null">
        #{instop,jdbcType=DECIMAL},
      </if>
      <if test="outstop != null">
        #{outstop,jdbcType=DECIMAL},
      </if>
      <if test="runtime != null">
        #{runtime,jdbcType=DECIMAL},
      </if>
      <if test="stoptime != null">
        #{stoptime,jdbcType=DECIMAL},
      </if>
      <if test="faulttime != null">
        #{faulttime,jdbcType=DECIMAL},
      </if>
      <if test="maintaintime != null">
        #{maintaintime,jdbcType=DECIMAL},
      </if>
      <if test="interrupttime != null">
        #{interrupttime,jdbcType=DECIMAL},
      </if>
      <if test="monthgc != null">
        #{monthgc,jdbcType=DECIMAL},
      </if>
      <if test="yeargc != null">
        #{yeargc,jdbcType=DECIMAL},
      </if>
      <if test="theorygeneration != null">
        #{theorygeneration,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower != null">
        #{lossofpower,jdbcType=DECIMAL},
      </if>
      <if test="fieldelectricity != null">
        #{fieldelectricity,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity2 != null">
        #{generatingcapacity2,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="maxspeed != null">
        #{maxspeed,jdbcType=DECIMAL},
      </if>
      <if test="minspeed != null">
        #{minspeed,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower1 != null">
        #{lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower2 != null">
        #{lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower3 != null">
        #{lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="theorygenerationzs != null">
        #{theorygenerationzs,jdbcType=DECIMAL},
      </if>
      <if test="windhours != null">
        #{windhours,jdbcType=DECIMAL},
      </if>
      <if test="maxpower != null">
        #{maxpower,jdbcType=DECIMAL},
      </if>
      <if test="minpower != null">
        #{minpower,jdbcType=DECIMAL},
      </if>
      <if test="monthruntime != null">
        #{monthruntime,jdbcType=DECIMAL},
      </if>
      <if test="monhtstoptime != null">
        #{monhtstoptime,jdbcType=DECIMAL},
      </if>
      <if test="monthfaulttime != null">
        #{monthfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="monthmaintaintime != null">
        #{monthmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="monthinterrupttime != null">
        #{monthinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="yearruntime != null">
        #{yearruntime,jdbcType=DECIMAL},
      </if>
      <if test="yearstoptime != null">
        #{yearstoptime,jdbcType=DECIMAL},
      </if>
      <if test="yearfaulttime != null">
        #{yearfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="yearmaintaintime != null">
        #{yearmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="yearinterrupttime != null">
        #{yearinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="monthspeed != null">
        #{monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="yearspeed != null">
        #{yearspeed,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower4 != null">
        #{lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayzhcydl != null">
        #{dayzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="monthzhcydl != null">
        #{monthzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="yearzhcydl != null">
        #{yearzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthwindhours != null">
        #{monthwindhours,jdbcType=DECIMAL},
      </if>
      <if test="yearwindhours != null">
        #{yearwindhours,jdbcType=DECIMAL},
      </if>
      <if test="daycalendarhours != null">
        #{daycalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="monthcalendarhours != null">
        #{monthcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="yearcalendarhours != null">
        #{yearcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="brownoutstime != null">
        #{brownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="monthbrownoutstime != null">
        #{monthbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="yearbrownoutstime != null">
        #{yearbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="mainlossin != null">
        #{mainlossin,jdbcType=DECIMAL},
      </if>
      <if test="faultlossin != null">
        #{faultlossin,jdbcType=DECIMAL},
      </if>
      <if test="electriclossout != null">
        #{electriclossout,jdbcType=DECIMAL},
      </if>
      <if test="weatherlossout != null">
        #{weatherlossout,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDayExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windturbineinfoday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windturbineid != null">
        windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.runhours != null">
        runHours = #{record.runhours,jdbcType=DECIMAL},
      </if>
      <if test="record.stophours != null">
        stopHours = #{record.stophours,jdbcType=DECIMAL},
      </if>
      <if test="record.faulthours != null">
        faultHours = #{record.faulthours,jdbcType=DECIMAL},
      </if>
      <if test="record.maintainhours != null">
        maintainHours = #{record.maintainhours,jdbcType=DECIMAL},
      </if>
      <if test="record.interrupthours != null">
        interruptHours = #{record.interrupthours,jdbcType=DECIMAL},
      </if>
      <if test="record.generatingcapacity != null">
        generatingCapacity = #{record.generatingcapacity,jdbcType=DECIMAL},
      </if>
      <if test="record.speed != null">
        speed = #{record.speed,jdbcType=DECIMAL},
      </if>
      <if test="record.power != null">
        power = #{record.power,jdbcType=DECIMAL},
      </if>
      <if test="record.recorddate != null">
        recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.gridelectricity != null">
        gridElectricity = #{record.gridelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.buyelectricity != null">
        buyElectricity = #{record.buyelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.instop != null">
        inStop = #{record.instop,jdbcType=DECIMAL},
      </if>
      <if test="record.outstop != null">
        outStop = #{record.outstop,jdbcType=DECIMAL},
      </if>
      <if test="record.runtime != null">
        runTime = #{record.runtime,jdbcType=DECIMAL},
      </if>
      <if test="record.stoptime != null">
        stopTime = #{record.stoptime,jdbcType=DECIMAL},
      </if>
      <if test="record.faulttime != null">
        faultTime = #{record.faulttime,jdbcType=DECIMAL},
      </if>
      <if test="record.maintaintime != null">
        maintainTime = #{record.maintaintime,jdbcType=DECIMAL},
      </if>
      <if test="record.interrupttime != null">
        interruptTime = #{record.interrupttime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgc != null">
        monthGC = #{record.monthgc,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargc != null">
        yearGC = #{record.yeargc,jdbcType=DECIMAL},
      </if>
      <if test="record.theorygeneration != null">
        theoryGeneration = #{record.theorygeneration,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower != null">
        lossOfPower = #{record.lossofpower,jdbcType=DECIMAL},
      </if>
      <if test="record.fieldelectricity != null">
        fieldElectricity = #{record.fieldelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.generatingcapacity2 != null">
        generatingCapacity2 = #{record.generatingcapacity2,jdbcType=DECIMAL},
      </if>
      <if test="record.windpowerstationid != null">
        windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        projectId = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        lineId = #{record.lineid,jdbcType=VARCHAR},
      </if>
      <if test="record.maxspeed != null">
        maxSpeed = #{record.maxspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.minspeed != null">
        minSpeed = #{record.minspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower1 != null">
        lossOfPower1 = #{record.lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower2 != null">
        lossOfPower2 = #{record.lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower3 != null">
        lossOfPower3 = #{record.lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="record.theorygenerationzs != null">
        theoryGenerationZS = #{record.theorygenerationzs,jdbcType=DECIMAL},
      </if>
      <if test="record.windhours != null">
        windHours = #{record.windhours,jdbcType=DECIMAL},
      </if>
      <if test="record.maxpower != null">
        maxPower = #{record.maxpower,jdbcType=DECIMAL},
      </if>
      <if test="record.minpower != null">
        minPower = #{record.minpower,jdbcType=DECIMAL},
      </if>
      <if test="record.monthruntime != null">
        monthRunTime = #{record.monthruntime,jdbcType=DECIMAL},
      </if>
      <if test="record.monhtstoptime != null">
        monhtStopTime = #{record.monhtstoptime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthfaulttime != null">
        monthFaultTime = #{record.monthfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthmaintaintime != null">
        monthMaintainTime = #{record.monthmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinterrupttime != null">
        monthInterruptTime = #{record.monthinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearruntime != null">
        yearRunTime = #{record.yearruntime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearstoptime != null">
        yearStopTime = #{record.yearstoptime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearfaulttime != null">
        yearFaultTime = #{record.yearfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearmaintaintime != null">
        yearMaintainTime = #{record.yearmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinterrupttime != null">
        yearInterruptTime = #{record.yearinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthspeed != null">
        monthspeed = #{record.monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.yearspeed != null">
        yearspeed = #{record.yearspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower4 != null">
        lossOfPower4 = #{record.lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="record.daylyxs != null">
        dayLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthlyxs != null">
        monthLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearlyxs != null">
        yearLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.dayzhcydl != null">
        dayZHCYDL = #{record.dayzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthzhcydl != null">
        monthZHCYDL = #{record.monthzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearzhcydl != null">
        yearZHCYDL = #{record.yearzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="record.daysbklyl != null">
        daySBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthsbklyl != null">
        monthSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearsbklyl != null">
        yearSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.daydxkyxs != null">
        dayDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthdxkyxs != null">
        monthDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yeardxkyxs != null">
        yearDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthwindhours != null">
        monthWindHours = #{record.monthwindhours,jdbcType=DECIMAL},
      </if>
      <if test="record.yearwindhours != null">
        yearWindHours = #{record.yearwindhours,jdbcType=DECIMAL},
      </if>
      <if test="record.daycalendarhours != null">
        daycalendarhours = #{record.daycalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="record.monthcalendarhours != null">
        monthcalendarhours = #{record.monthcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="record.yearcalendarhours != null">
        yearcalendarhours = #{record.yearcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="record.brownoutstime != null">
        brownoutsTime = #{record.brownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthbrownoutstime != null">
        monthBrownoutsTime = #{record.monthbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearbrownoutstime != null">
        yearBrownoutsTime = #{record.yearbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="record.mainlossin != null">
        mainlossin = #{record.mainlossin,jdbcType=DECIMAL},
      </if>
      <if test="record.faultlossin != null">
        faultlossin = #{record.faultlossin,jdbcType=DECIMAL},
      </if>
      <if test="record.electriclossout != null">
        electriclossout = #{record.electriclossout,jdbcType=DECIMAL},
      </if>
      <if test="record.weatherlossout != null">
        weatherlossout = #{record.weatherlossout,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday
    set id = #{record.id,jdbcType=INTEGER},
      windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      runHours = #{record.runhours,jdbcType=DECIMAL},
      stopHours = #{record.stophours,jdbcType=DECIMAL},
      faultHours = #{record.faulthours,jdbcType=DECIMAL},
      maintainHours = #{record.maintainhours,jdbcType=DECIMAL},
      interruptHours = #{record.interrupthours,jdbcType=DECIMAL},
      generatingCapacity = #{record.generatingcapacity,jdbcType=DECIMAL},
      speed = #{record.speed,jdbcType=DECIMAL},
      power = #{record.power,jdbcType=DECIMAL},
      recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      gridElectricity = #{record.gridelectricity,jdbcType=DECIMAL},
      buyElectricity = #{record.buyelectricity,jdbcType=DECIMAL},
      inStop = #{record.instop,jdbcType=DECIMAL},
      outStop = #{record.outstop,jdbcType=DECIMAL},
      runTime = #{record.runtime,jdbcType=DECIMAL},
      stopTime = #{record.stoptime,jdbcType=DECIMAL},
      faultTime = #{record.faulttime,jdbcType=DECIMAL},
      maintainTime = #{record.maintaintime,jdbcType=DECIMAL},
      interruptTime = #{record.interrupttime,jdbcType=DECIMAL},
      monthGC = #{record.monthgc,jdbcType=DECIMAL},
      yearGC = #{record.yeargc,jdbcType=DECIMAL},
      theoryGeneration = #{record.theorygeneration,jdbcType=DECIMAL},
      lossOfPower = #{record.lossofpower,jdbcType=DECIMAL},
      fieldElectricity = #{record.fieldelectricity,jdbcType=DECIMAL},
      generatingCapacity2 = #{record.generatingcapacity2,jdbcType=DECIMAL},
      windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      projectId = #{record.projectid,jdbcType=VARCHAR},
      lineId = #{record.lineid,jdbcType=VARCHAR},
      maxSpeed = #{record.maxspeed,jdbcType=DECIMAL},
      minSpeed = #{record.minspeed,jdbcType=DECIMAL},
      lossOfPower1 = #{record.lossofpower1,jdbcType=DECIMAL},
      lossOfPower2 = #{record.lossofpower2,jdbcType=DECIMAL},
      lossOfPower3 = #{record.lossofpower3,jdbcType=DECIMAL},
      theoryGenerationZS = #{record.theorygenerationzs,jdbcType=DECIMAL},
      windHours = #{record.windhours,jdbcType=DECIMAL},
      maxPower = #{record.maxpower,jdbcType=DECIMAL},
      minPower = #{record.minpower,jdbcType=DECIMAL},
      monthRunTime = #{record.monthruntime,jdbcType=DECIMAL},
      monhtStopTime = #{record.monhtstoptime,jdbcType=DECIMAL},
      monthFaultTime = #{record.monthfaulttime,jdbcType=DECIMAL},
      monthMaintainTime = #{record.monthmaintaintime,jdbcType=DECIMAL},
      monthInterruptTime = #{record.monthinterrupttime,jdbcType=DECIMAL},
      yearRunTime = #{record.yearruntime,jdbcType=DECIMAL},
      yearStopTime = #{record.yearstoptime,jdbcType=DECIMAL},
      yearFaultTime = #{record.yearfaulttime,jdbcType=DECIMAL},
      yearMaintainTime = #{record.yearmaintaintime,jdbcType=DECIMAL},
      yearInterruptTime = #{record.yearinterrupttime,jdbcType=DECIMAL},
      monthspeed = #{record.monthspeed,jdbcType=DECIMAL},
      yearspeed = #{record.yearspeed,jdbcType=DECIMAL},
      lossOfPower4 = #{record.lossofpower4,jdbcType=DECIMAL},
      dayLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      monthLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      yearLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      dayZHCYDL = #{record.dayzhcydl,jdbcType=DECIMAL},
      monthZHCYDL = #{record.monthzhcydl,jdbcType=DECIMAL},
      yearZHCYDL = #{record.yearzhcydl,jdbcType=DECIMAL},
      daySBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      monthSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      yearSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      dayDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      monthDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      yearDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      monthWindHours = #{record.monthwindhours,jdbcType=DECIMAL},
      yearWindHours = #{record.yearwindhours,jdbcType=DECIMAL},
      daycalendarhours = #{record.daycalendarhours,jdbcType=DECIMAL},
      monthcalendarhours = #{record.monthcalendarhours,jdbcType=DECIMAL},
      yearcalendarhours = #{record.yearcalendarhours,jdbcType=DECIMAL},
      brownoutsTime = #{record.brownoutstime,jdbcType=DECIMAL},
      monthBrownoutsTime = #{record.monthbrownoutstime,jdbcType=DECIMAL},
      yearBrownoutsTime = #{record.yearbrownoutstime,jdbcType=DECIMAL},
      mainlossin = #{record.mainlossin,jdbcType=DECIMAL},
      faultlossin = #{record.faultlossin,jdbcType=DECIMAL},
      electriclossout = #{record.electriclossout,jdbcType=DECIMAL},
      weatherlossout = #{record.weatherlossout,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDay">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday
    <set>
      <if test="windturbineid != null">
        windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="runhours != null">
        runHours = #{runhours,jdbcType=DECIMAL},
      </if>
      <if test="stophours != null">
        stopHours = #{stophours,jdbcType=DECIMAL},
      </if>
      <if test="faulthours != null">
        faultHours = #{faulthours,jdbcType=DECIMAL},
      </if>
      <if test="maintainhours != null">
        maintainHours = #{maintainhours,jdbcType=DECIMAL},
      </if>
      <if test="interrupthours != null">
        interruptHours = #{interrupthours,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity != null">
        generatingCapacity = #{generatingcapacity,jdbcType=DECIMAL},
      </if>
      <if test="speed != null">
        speed = #{speed,jdbcType=DECIMAL},
      </if>
      <if test="power != null">
        power = #{power,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        recordDate = #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="gridelectricity != null">
        gridElectricity = #{gridelectricity,jdbcType=DECIMAL},
      </if>
      <if test="buyelectricity != null">
        buyElectricity = #{buyelectricity,jdbcType=DECIMAL},
      </if>
      <if test="instop != null">
        inStop = #{instop,jdbcType=DECIMAL},
      </if>
      <if test="outstop != null">
        outStop = #{outstop,jdbcType=DECIMAL},
      </if>
      <if test="runtime != null">
        runTime = #{runtime,jdbcType=DECIMAL},
      </if>
      <if test="stoptime != null">
        stopTime = #{stoptime,jdbcType=DECIMAL},
      </if>
      <if test="faulttime != null">
        faultTime = #{faulttime,jdbcType=DECIMAL},
      </if>
      <if test="maintaintime != null">
        maintainTime = #{maintaintime,jdbcType=DECIMAL},
      </if>
      <if test="interrupttime != null">
        interruptTime = #{interrupttime,jdbcType=DECIMAL},
      </if>
      <if test="monthgc != null">
        monthGC = #{monthgc,jdbcType=DECIMAL},
      </if>
      <if test="yeargc != null">
        yearGC = #{yeargc,jdbcType=DECIMAL},
      </if>
      <if test="theorygeneration != null">
        theoryGeneration = #{theorygeneration,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower != null">
        lossOfPower = #{lossofpower,jdbcType=DECIMAL},
      </if>
      <if test="fieldelectricity != null">
        fieldElectricity = #{fieldelectricity,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity2 != null">
        generatingCapacity2 = #{generatingcapacity2,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        projectId = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        lineId = #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="maxspeed != null">
        maxSpeed = #{maxspeed,jdbcType=DECIMAL},
      </if>
      <if test="minspeed != null">
        minSpeed = #{minspeed,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower1 != null">
        lossOfPower1 = #{lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower2 != null">
        lossOfPower2 = #{lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower3 != null">
        lossOfPower3 = #{lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="theorygenerationzs != null">
        theoryGenerationZS = #{theorygenerationzs,jdbcType=DECIMAL},
      </if>
      <if test="windhours != null">
        windHours = #{windhours,jdbcType=DECIMAL},
      </if>
      <if test="maxpower != null">
        maxPower = #{maxpower,jdbcType=DECIMAL},
      </if>
      <if test="minpower != null">
        minPower = #{minpower,jdbcType=DECIMAL},
      </if>
      <if test="monthruntime != null">
        monthRunTime = #{monthruntime,jdbcType=DECIMAL},
      </if>
      <if test="monhtstoptime != null">
        monhtStopTime = #{monhtstoptime,jdbcType=DECIMAL},
      </if>
      <if test="monthfaulttime != null">
        monthFaultTime = #{monthfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="monthmaintaintime != null">
        monthMaintainTime = #{monthmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="monthinterrupttime != null">
        monthInterruptTime = #{monthinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="yearruntime != null">
        yearRunTime = #{yearruntime,jdbcType=DECIMAL},
      </if>
      <if test="yearstoptime != null">
        yearStopTime = #{yearstoptime,jdbcType=DECIMAL},
      </if>
      <if test="yearfaulttime != null">
        yearFaultTime = #{yearfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="yearmaintaintime != null">
        yearMaintainTime = #{yearmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="yearinterrupttime != null">
        yearInterruptTime = #{yearinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="monthspeed != null">
        monthspeed = #{monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="yearspeed != null">
        yearspeed = #{yearspeed,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower4 != null">
        lossOfPower4 = #{lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        dayLYXS = #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        monthLYXS = #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        yearLYXS = #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayzhcydl != null">
        dayZHCYDL = #{dayzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="monthzhcydl != null">
        monthZHCYDL = #{monthzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="yearzhcydl != null">
        yearZHCYDL = #{yearzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        daySBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        monthSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        yearSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        dayDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        monthDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        yearDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthwindhours != null">
        monthWindHours = #{monthwindhours,jdbcType=DECIMAL},
      </if>
      <if test="yearwindhours != null">
        yearWindHours = #{yearwindhours,jdbcType=DECIMAL},
      </if>
      <if test="daycalendarhours != null">
        daycalendarhours = #{daycalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="monthcalendarhours != null">
        monthcalendarhours = #{monthcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="yearcalendarhours != null">
        yearcalendarhours = #{yearcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="brownoutstime != null">
        brownoutsTime = #{brownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="monthbrownoutstime != null">
        monthBrownoutsTime = #{monthbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="yearbrownoutstime != null">
        yearBrownoutsTime = #{yearbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="mainlossin != null">
        mainlossin = #{mainlossin,jdbcType=DECIMAL},
      </if>
      <if test="faultlossin != null">
        faultlossin = #{faultlossin,jdbcType=DECIMAL},
      </if>
      <if test="electriclossout != null">
        electriclossout = #{electriclossout,jdbcType=DECIMAL},
      </if>
      <if test="weatherlossout != null">
        weatherlossout = #{weatherlossout,jdbcType=DECIMAL},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.WindTurbineInfoDay">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday
    set windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      runHours = #{runhours,jdbcType=DECIMAL},
      stopHours = #{stophours,jdbcType=DECIMAL},
      faultHours = #{faulthours,jdbcType=DECIMAL},
      maintainHours = #{maintainhours,jdbcType=DECIMAL},
      interruptHours = #{interrupthours,jdbcType=DECIMAL},
      generatingCapacity = #{generatingcapacity,jdbcType=DECIMAL},
      speed = #{speed,jdbcType=DECIMAL},
      power = #{power,jdbcType=DECIMAL},
      recordDate = #{recorddate,jdbcType=TIMESTAMP},
      gridElectricity = #{gridelectricity,jdbcType=DECIMAL},
      buyElectricity = #{buyelectricity,jdbcType=DECIMAL},
      inStop = #{instop,jdbcType=DECIMAL},
      outStop = #{outstop,jdbcType=DECIMAL},
      runTime = #{runtime,jdbcType=DECIMAL},
      stopTime = #{stoptime,jdbcType=DECIMAL},
      faultTime = #{faulttime,jdbcType=DECIMAL},
      maintainTime = #{maintaintime,jdbcType=DECIMAL},
      interruptTime = #{interrupttime,jdbcType=DECIMAL},
      monthGC = #{monthgc,jdbcType=DECIMAL},
      yearGC = #{yeargc,jdbcType=DECIMAL},
      theoryGeneration = #{theorygeneration,jdbcType=DECIMAL},
      lossOfPower = #{lossofpower,jdbcType=DECIMAL},
      fieldElectricity = #{fieldelectricity,jdbcType=DECIMAL},
      generatingCapacity2 = #{generatingcapacity2,jdbcType=DECIMAL},
      windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      projectId = #{projectid,jdbcType=VARCHAR},
      lineId = #{lineid,jdbcType=VARCHAR},
      maxSpeed = #{maxspeed,jdbcType=DECIMAL},
      minSpeed = #{minspeed,jdbcType=DECIMAL},
      lossOfPower1 = #{lossofpower1,jdbcType=DECIMAL},
      lossOfPower2 = #{lossofpower2,jdbcType=DECIMAL},
      lossOfPower3 = #{lossofpower3,jdbcType=DECIMAL},
      theoryGenerationZS = #{theorygenerationzs,jdbcType=DECIMAL},
      windHours = #{windhours,jdbcType=DECIMAL},
      maxPower = #{maxpower,jdbcType=DECIMAL},
      minPower = #{minpower,jdbcType=DECIMAL},
      monthRunTime = #{monthruntime,jdbcType=DECIMAL},
      monhtStopTime = #{monhtstoptime,jdbcType=DECIMAL},
      monthFaultTime = #{monthfaulttime,jdbcType=DECIMAL},
      monthMaintainTime = #{monthmaintaintime,jdbcType=DECIMAL},
      monthInterruptTime = #{monthinterrupttime,jdbcType=DECIMAL},
      yearRunTime = #{yearruntime,jdbcType=DECIMAL},
      yearStopTime = #{yearstoptime,jdbcType=DECIMAL},
      yearFaultTime = #{yearfaulttime,jdbcType=DECIMAL},
      yearMaintainTime = #{yearmaintaintime,jdbcType=DECIMAL},
      yearInterruptTime = #{yearinterrupttime,jdbcType=DECIMAL},
      monthspeed = #{monthspeed,jdbcType=DECIMAL},
      yearspeed = #{yearspeed,jdbcType=DECIMAL},
      lossOfPower4 = #{lossofpower4,jdbcType=DECIMAL},
      dayLYXS = #{daylyxs,jdbcType=DECIMAL},
      monthLYXS = #{monthlyxs,jdbcType=DECIMAL},
      yearLYXS = #{yearlyxs,jdbcType=DECIMAL},
      dayZHCYDL = #{dayzhcydl,jdbcType=DECIMAL},
      monthZHCYDL = #{monthzhcydl,jdbcType=DECIMAL},
      yearZHCYDL = #{yearzhcydl,jdbcType=DECIMAL},
      daySBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      monthSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      yearSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      dayDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      monthDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      yearDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      monthWindHours = #{monthwindhours,jdbcType=DECIMAL},
      yearWindHours = #{yearwindhours,jdbcType=DECIMAL},
      daycalendarhours = #{daycalendarhours,jdbcType=DECIMAL},
      monthcalendarhours = #{monthcalendarhours,jdbcType=DECIMAL},
      yearcalendarhours = #{yearcalendarhours,jdbcType=DECIMAL},
      brownoutsTime = #{brownoutstime,jdbcType=DECIMAL},
      monthBrownoutsTime = #{monthbrownoutstime,jdbcType=DECIMAL},
      yearBrownoutsTime = #{yearbrownoutstime,jdbcType=DECIMAL},
      mainlossin = #{mainlossin,jdbcType=DECIMAL},
      faultlossin = #{faultlossin,jdbcType=DECIMAL},
      electriclossout = #{electriclossout,jdbcType=DECIMAL},
      weatherlossout = #{weatherlossout,jdbcType=DECIMAL}
    where id = #{id,jdbcType=INTEGER}
  </update>


  <select id="getWindTurbineInfoDay"  resultType="com.gyee.frame.model.custom.SingleAnalysisVo">
  select WINDTURBINEID,sum(Generatingcapacity)   fdl,sum(Runhours)   yxxs
  ,sum(Faulthours)   gzxs,sum(Maintainhours)   jxxs
  ,sum(Stophours)   tjxs,sum(Interrupthours)   zdxs
  ,sum(Daycalendarhours)   rlxs,avg(Speed)   fs
  ,avg(Daysbklyl)   sbklyl,avg(Daysbklyl)   dxklyxs
  ,avg(Daylyxs)   sbklyl,avg(dayLYXS)  lyxs
  ,avg(Windhours)   yxfss
  from WindTurbineInfoDay
  where   Windpowerstationid = #{wpId} and Recorddate >= #{beginDate} and Recorddate &lt; #{endDate}
  group by WINDTURBINEID ORDER BY WINDTURBINEID
</select>

  <select id="getWindTurbineInfoDayByWtId"  resultType="com.gyee.frame.model.custom.SingleAnalysisVo">
    select WINDTURBINEID,sum(Generatingcapacity)   fdl,sum(Runhours)   yxxs
    ,sum(Faulthours)   gzxs,sum(Maintainhours)   jxxs
    ,sum(Stophours)   tjxs,sum(Interrupthours)   zdxs
    ,sum(Daycalendarhours)   rlxs,avg(Speed)   fs
    ,avg(Daysbklyl)   sbklyl,avg(Daysbklyl)   dxklyxs
    ,avg(Daylyxs)   sbklyl,avg(dayLYXS)  lyxs
    ,avg(Windhours)   yxfss
    from WindTurbineInfoDay
    where   WINDTURBINEID = #{wtId} and Recorddate >= #{beginDate} and Recorddate &lt; #{endDate}
    group by WINDTURBINEID

  </select>



</mapper>